package com.sksamuel.jmxc

/** @author Stephen Samuel */
object Test extends App {

    //    val client = JmxClientFactory.newClient("service:jmx:rmi:///jndi/rmi://" + host + ":" + port + "/jmxrmi")
    println(JmxClientFactorySupport.localVmPids)
    println(JmxClientFactorySupport.localAttachables)

    val client = JmxClientFactory.fromDomainName("org.apache.camel").get
    println(client)

    val domain = client.domain("org.apache.camel")
    println(domain)

    domain.foreach(arg => {
        val routes = arg.beans("routes")
        routes.foreach(route => {
            println(route)
            println(route.attributeNames.toBuffer)
            println("RouteId=" + route.attributeValue("RouteId"))
        })
    })
}
